--- a/src/compiler/rust/meson.build	2024-12-31 16:43:41.708024001 +0800
+++ b/src/compiler/rust/meson.build	2024-12-31 16:56:04.987029425 +0800
@@ -73,6 +73,7 @@
   output : 'bindings.rs',
   c_args : [
     pre_args,
+    ['--target=i686-aosc-linux-gnu', '--sysroot=/opt/32']
   ],
   args : _compiler_bindgen_args,
   dependencies : [
